org.richfaces.fragment.dataScroller

## Enum DataScroller.DataScrollerSwitchButton

- java.lang.Object
- - java.lang.Enum<DataScroller.DataScrollerSwitchButton>
  - - org.richfaces.fragment.dataScroller.DataScroller.DataScrollerSwitchButton

- All Implemented Interfaces:
    Serializable, Comparable<DataScroller.DataScrollerSwitchButton>
  Enclosing interface:
    DataScroller

      public static enum DataScroller.DataScrollerSwitchButton
      extends Enum<DataScroller.DataScrollerSwitchButton>

  Represents the buttons by which the dataScroller can be controlled.
  Author:
    Jiri Stefek

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FAST_FORWARD`
    `FAST_REWIND`
    `FIRST`
    `LAST`
    `NEXT`
    `PREVIOUS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataScroller.DataScrollerSwitchButton` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DataScroller.DataScrollerSwitchButton[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final DataScroller.DataScrollerSwitchButton FIRST

    - #### FAST_REWIND

          public static final DataScroller.DataScrollerSwitchButton FAST_REWIND

    - #### PREVIOUS

          public static final DataScroller.DataScrollerSwitchButton PREVIOUS

    - #### NEXT

          public static final DataScroller.DataScrollerSwitchButton NEXT

    - #### FAST_FORWARD

          public static final DataScroller.DataScrollerSwitchButton FAST_FORWARD

    - #### LAST

          public static final DataScroller.DataScrollerSwitchButton LAST

  - ### Method Detail

    - #### values

          public static DataScroller.DataScrollerSwitchButton[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataScroller.DataScrollerSwitchButton c : DataScroller.DataScrollerSwitchButton.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DataScroller.DataScrollerSwitchButton valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.